-- SQL-Sript zum Erweitern der Tabellen für die Schadenserfassung
-- Tabelle iq_netze und iq_fehlerorte müssen erweitert werden
-- Die Tabelle iq_schaeden wird automatisch erzeugt 


ALTER TABLE IQ_FEHLERORTE ADD phase_l1 CHAR(1);
ALTER TABLE IQ_FEHLERORTE ADD phase_l2 CHAR(1);
ALTER TABLE IQ_FEHLERORTE ADD phase_l3 CHAR(1);
ALTER TABLE IQ_FEHLERORTE ADD phase_n CHAR(1);
ALTER TABLE IQ_FEHLERORTE ADD diffschutz CHAR(1);
ALTER TABLE IQ_FEHLERORTE ADD ssschutz CHAR(1);
ALTER TABLE IQ_FEHLERORTE ADD buchholz CHAR(1);
ALTER TABLE IQ_FEHLERORTE ADD ueberstr CHAR(1);

ALTER TABLE IQ_FEHLERORTE ADD fimpedanz DOUBLE PRECISION;

ALTER TABLE IQ_FEHLERORTE ADD fanzahl_awe INT;
ALTER TABLE IQ_FEHLERORTE ADD fanzahl_ausl INT;


ALTER TABLE IQ_FEHLERORTE ADD feldnamen1 VARCHAR(255);
ALTER TABLE IQ_FEHLERORTE ADD feldnamen12 VARCHAR(255);
ALTER TABLE IQ_FEHLERORTE ADD feldnamen2 VARCHAR(255);
ALTER TABLE IQ_FEHLERORTE ADD feldnamen22 VARCHAR(255);

COMMIT;
